Updated Registration Rules for URI.ARPA
RFC 8958
BCP 65
Ted Hardie
2020-12
ART
DISPATCH
This document updates RFC 3405 by removing references to the IETF tree from the procedures for requesting that a URI scheme be inserted into the URI.ARPA zone.
Status of This Memo
This memo documents an Internet Best Current Practice.
This document is a product of the Internet Engineering Task Force (IETF). It represents the consensus of the IETF community. It has received public review and has been approved for publication by the Internet Engineering Steering Group (IESG). Further information on BCPs is available in Section 2 of RFC 7841.
Information about the current status of this document, any errata, and how to provide feedback on it may be obtained at https://www.rfc-editor.org/info/rfc8958.
Copyright Notice
Copyright (c) 2020 IETF Trust and the persons identified as the document authors. All rights reserved.
This document is subject to BCP 78 and the IETF Trust's Legal Provisions Relating to IETF Documents (https://trustee.ietf.org/license-info) in effect on the date of publication of this document. Please review these documents carefully, as they describe your rights and restrictions with respect to this document. Code Components extracted from this document must include Simplified BSD License text as described in Section 4.e of the Trust Legal Provisions and are provided without warranty as described in the Simplified BSD License.
Table of Contents
- 1. Introduction
  - 1.1. Requirements Language
- 2. Updated Requirements
- 3. IANA Considerations
- 4. Security Considerations
- 5. References
  - 5.1. Normative References
  - 5.2. Informative References
- Author's Address
Introduction
Part Five of the Dynamic Delegation Discovery System (DDDS) [RFC3405] describes the registration procedures for assignments in URI.ARPA. The document requires that registrations be in the "IETF tree" of URI registrations. The use of URI scheme name trees was defined in RFC 2717 but discontinued by RFC 4395 and its successors. Since the use of trees was discontinued, there is no way in the current process set out in BCP 35 to meet the requirement to register within that tree.
Requirements Language
The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT", "SHOULD", "SHOULD NOT", "RECOMMENDED", "NOT RECOMMENDED", "MAY", and "OPTIONAL" in this document are to be interpreted as described in BCP 14 [RFC2119] [RFC8174] when, and only when, they appear in all capitals, as shown here.
Updated Requirements
This document removes the normative requirement from RFC 3405 for registrations in URI.ARPA to be from the IETF URI tree.
All registrations in URI.ARPA MUST now be for schemes that are permanent registrations, as described in BCP 35.
IANA Considerations
This entire document is updated instructions to IANA.
Security Considerations
This update does not change the security considerations in RFC 3405.
References
Normative References
[RFC2119]

Key words for use in RFCs to Indicate Requirement Levels
S. Bradner
March 1997
BCP 14
RFC 2119
DOI 10.17487/RFC2119
[RFC3405]

Dynamic Delegation Discovery System (DDDS) Part Five: URI.ARPA Assignment Procedures
M. Mealling
October 2002
BCP 65
RFC 3405
DOI 10.17487/RFC3405
[RFC7595]

Guidelines and Registration Procedures for URI Schemes
D. Thaler, Ed.
T. Hansen
T. Hardie
June 2015
BCP 35
RFC 7595
DOI 10.17487/RFC7595
[RFC8174]

Ambiguity of Uppercase vs Lowercase in RFC 2119 Key Words
B. Leiba
May 2017
BCP 14
RFC 8174
DOI 10.17487/RFC8174
Informative References
[RFC2717]

Registration Procedures for URL Scheme Names
R. Petke
I. King
November 1999
RFC 2717
DOI 10.17487/RFC2717
[RFC4395]

Guidelines and Registration Procedures for New URI Schemes
T. Hansen
T. Hardie
L. Masinter
February 2006
RFC 4395
DOI 10.17487/RFC4395
Author's Address
Ted Hardie
ted.ietf@gmail.com